net.sf.jasperreports.compilers

## Class JRGroovyGenerator

- java.lang.Object
- - net.sf.jasperreports.compilers.JRGroovyGenerator

-     public class JRGroovyGenerator
      extends java.lang.Object

  Version:
    $Id: JRGroovyGenerator.java 6934 2014-02-27 13:24:34Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net), Peter Severin (peter_p_s@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,JRField>` | `fieldsMap`
    `protected java.util.Map<java.lang.String,? extends JRParameter>` | `parametersMap`
    `static java.lang.String` | `PROPERTY_MAX_METHOD_SIZE`
    `protected JRSourceCompileTask` | `sourceTask`
    `protected JRVariable[]` | `variables`
    `protected java.util.Map<java.lang.String,JRVariable>` | `variablesMap`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRGroovyGenerator(JRSourceCompileTask sourceTask)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `generateClass()`
    `static java.lang.String` | `generateClass(JRSourceCompileTask sourceTask)`
    `protected void` | `generateClassStart(java.lang.StringBuffer sb)`
    `protected void` | `generateDeclarations(java.lang.StringBuffer sb)`
    `protected void` | `generateInitFieldsMethod(java.lang.StringBuffer sb)`
    `protected void` | `generateInitParamsMethod(java.lang.StringBuffer sb)`
    `protected void` | `generateInitVarsMethod(java.lang.StringBuffer sb)`
    `protected java.lang.String` | `generateMethod(byte evaluationType, java.util.List<JRExpression> expressionsList)`
    `protected void` | `writeExpression(java.lang.StringBuilder expressionBuffer, JRExpression expression, byte evaluationType)`
    `protected void` | `writeMethodEnd(java.lang.StringBuilder sb)`
    `protected void` | `writeMethodHeader(java.lang.StringBuilder sb, byte evaluationType, int methodIndex)`
    `protected void` | `writeNextMethodCall(java.lang.StringBuilder sb, byte evaluationType, int methodIndex, int startId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_MAX_METHOD_SIZE

          public static final java.lang.String PROPERTY_MAX_METHOD_SIZE

      See Also:
        Constant Field Values

    - #### sourceTask

          protected final JRSourceCompileTask sourceTask

    - #### parametersMap

          protected java.util.Map<java.lang.String,? extends JRParameter> parametersMap

    - #### fieldsMap

          protected java.util.Map<java.lang.String,JRField> fieldsMap

    - #### variablesMap

          protected java.util.Map<java.lang.String,JRVariable> variablesMap

    - #### variables

          protected JRVariable[] variables

  - ### Constructor Detail

    - #### JRGroovyGenerator

          protected JRGroovyGenerator(JRSourceCompileTask sourceTask)

  - ### Method Detail

    - #### generateClass

          public static java.lang.String generateClass(JRSourceCompileTask sourceTask)
                                                throws JRException

      Throws:
        `JRException`

    - #### generateClass

          protected java.lang.String generateClass()
                                            throws JRException

      Throws:
        `JRException`

    - #### generateClassStart

          protected final void generateClassStart(java.lang.StringBuffer sb)

    - #### generateDeclarations

          protected final void generateDeclarations(java.lang.StringBuffer sb)

    - #### generateInitParamsMethod

          protected final void generateInitParamsMethod(java.lang.StringBuffer sb)
                                                 throws JRException

      Throws:
        `JRException`

    - #### generateInitFieldsMethod

          protected final void generateInitFieldsMethod(java.lang.StringBuffer sb)
                                                 throws JRException

      Throws:
        `JRException`

    - #### generateInitVarsMethod

          protected final void generateInitVarsMethod(java.lang.StringBuffer sb)
                                               throws JRException

      Throws:
        `JRException`

    - #### generateMethod

          protected final java.lang.String generateMethod(byte evaluationType,
                                        java.util.List<JRExpression> expressionsList)
                                                   throws JRException

      Throws:
        `JRException`

    - #### writeMethodHeader

          protected void writeMethodHeader(java.lang.StringBuilder sb,
                               byte evaluationType,
                               int methodIndex)

    - #### writeMethodEnd

          protected void writeMethodEnd(java.lang.StringBuilder sb)

    - #### writeNextMethodCall

          protected void writeNextMethodCall(java.lang.StringBuilder sb,
                                 byte evaluationType,
                                 int methodIndex,
                                 int startId)

    - #### writeExpression

          protected void writeExpression(java.lang.StringBuilder expressionBuffer,
                             JRExpression expression,
                             byte evaluationType)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com